Loading...
Searching...
No Matches
fglmSelem Class Reference

`#include <fglm.h>`

## Public Member Functions

| fglmSelem (poly p, int var)
void | cleanup ()
BOOLEAN | isBasisOrEdge () const
void | newDivisor (int var)

## Data Fields

int * | divisors
poly | monom
int | numVars

## Detailed Description

Definition at line 27 of file fglm.h.

## Constructor & Destructor Documentation

## fglmSelem()

fglmSelem::fglmSelem | ( | poly | p,
|  | int | var )

Definition at line 319 of file fglmzero.cc.

: monom( p ), numVars( 0 )
{
for ( int k = (currRing->N); k > 0; k-- )
if ( pGetExp( monom, k ) > 0 )
numVars++;
divisors= (int *)omAlloc( (numVars+1)*sizeof( int ) );
divisors[0]= 0;
newDivisor( var );
}
k
int k
Definition cfEzgcd.cc:99
p
int p
Definition cfModGcd.cc:4086
fglmSelem::monom
poly monom
Definition fglm.h:31
fglmSelem::divisors
int * divisors
Definition fglm.h:30
fglmSelem::numVars
int numVars
Definition fglm.h:32
fglmSelem::newDivisor
void newDivisor(int var)
Definition fglm.h:37
omAlloc
#define omAlloc(size)
Definition omAllocDecl.h:210
currRing
VAR ring currRing
Widely used global variable which specifies the current polynomial ring for Singular interpreter and ...
Definition polys.cc:13
pGetExp
#define pGetExp(p, i)
Exponent.
Definition polys.h:42

## Member Function Documentation

## cleanup()

void fglmSelem::cleanup | ( |  | ) |

Definition at line 330 of file fglmzero.cc.

{
omFreeSize( (ADDRESS)divisors, (numVars+1)*sizeof( int ) );
}
ADDRESS
void * ADDRESS
Definition auxiliary.h:120
omFreeSize
#define omFreeSize(addr, size)
Definition omAllocDecl.h:260

## isBasisOrEdge()

BOOLEAN fglmSelem::isBasisOrEdge | ( |  | ) | const

inline

Definition at line 36 of file fglm.h.

{ return ( (divisors[0] == numVars) ? TRUE : FALSE ); }
TRUE
#define TRUE
Definition auxiliary.h:101
FALSE
#define FALSE
Definition auxiliary.h:97

## newDivisor()

void fglmSelem::newDivisor | ( | int | var | ) |

inline

Definition at line 37 of file fglm.h.

{ divisors[ ++divisors[0] ]= var; }

## Field Documentation

## divisors

int* fglmSelem::divisors

Definition at line 30 of file fglm.h.

## monom

poly fglmSelem::monom

Definition at line 31 of file fglm.h.

## numVars

int fglmSelem::numVars

Definition at line 32 of file fglm.h.

The documentation for this class was generated from the following files:

- kernel/fglm/fglm.h
- kernel/fglm/fglmzero.cc